/// <reference types="react" />
import { StyleProp, ViewStyle, TextStyle, ImageStyle, ImageSourcePropType } from 'react-native';
declare type Props = {
    accessibilityLabel?: string;
    imageSource?: ImageSourcePropType | number;
    imageStyle?: StyleProp<ImageStyle>;
    onPress?: () => void;
    style?: StyleProp<ViewStyle>;
    testID?: string;
    text?: string | Object | Array<string | Object>;
    textStyle?: StyleProp<TextStyle>;
};
/**
 * Standard set of quick action buttons that can, if the user chooses, be used
 * with SwipeableListView. Each button takes an image and text with optional
 * formatting.
 */
export declare const SwipeableQuickActionButton: ({ accessibilityLabel, imageSource, imageStyle, onPress, style, testID, text, textStyle, }: Props) => JSX.Element | null;
export {};
//# sourceMappingURL=SwipeableQuickActionButton.d.ts.map