"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const styles = react_native_1.StyleSheet.create({
    container: {
        justifyContent: 'center',
        alignItems: 'center',
    },
});
/**
 * Standard set of quick action buttons that can, if the user chooses, be used
 * with SwipeableListView. Each button takes an image and text with optional
 * formatting.
 */
exports.SwipeableQuickActionButton = ({ accessibilityLabel, imageSource, imageStyle, onPress, style, testID, text, textStyle, }) => {
    if (!imageSource && !text) {
        return null;
    }
    return (react_1.default.createElement(react_native_1.TouchableHighlight, { onPress: onPress, testID: testID, underlayColor: "transparent" },
        react_1.default.createElement(react_native_1.View, { style: [styles.container, style] },
            imageSource ? (react_1.default.createElement(react_native_1.Image, { accessibilityLabel: accessibilityLabel, source: imageSource, style: imageStyle })) : null,
            react_1.default.createElement(react_native_1.Text, { style: textStyle }, text))));
};
