"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
/**
 * A thin wrapper around standard quick action buttons that can, if the user
 * chooses, be used with SwipeableListView. Sample usage is as follows, in the
 * renderQuickActions callback:
 *
 * <SwipeableQuickActions>
 *   <SwipeableQuickActionButton {..props} />
 *   <SwipeableQuickActionButton {..props} />
 * </SwipeableQuickActions>
 */
exports.SwipeableQuickActions = ({ children, style }) => {
    let buttons = [];
    if (children instanceof Array) {
        for (let i = 0; i < children.length; i++) {
            buttons.push(children[i]);
            if (i < children.length - 1) {
                // Not last button
                buttons.push(react_1.default.createElement(react_native_1.View, { key: i, style: styles.divider }));
            }
        }
    }
    else {
        // 1 child
        buttons = [children];
    }
    return react_1.default.createElement(react_native_1.View, { style: [styles.background, style] }, buttons);
};
const styles = react_native_1.StyleSheet.create({
    background: {
        flex: 1,
        flexDirection: 'row',
        justifyContent: 'flex-end',
    },
    divider: {
        width: 4,
    },
});
