import React from 'react';
/**
 * Creates a swipable row that allows taps on the main item and a custom View
 * on the item hidden behind the row. Typically this should be used in
 * conjunction with SwipeableListView for additional functionality, but can be
 * used in a normal ListView. See the renderRow for SwipeableListView to see how
 * to use this component separately.
 */
export declare const SwipeableRow: ({ children, isOpen, maxSwipeDistance, onClose, onOpen, onSwipeEnd, onSwipeStart, preventSwipeRight, shouldBounceOnMount, slideoutView, swipeThreshold, }: Readonly<{
    children?: React.ReactNode;
    isOpen?: boolean | undefined;
    maxSwipeDistance?: number | undefined;
    onClose?: (() => void) | undefined;
    onOpen?: (() => void) | undefined;
    onSwipeEnd?: (() => void) | undefined;
    onSwipeStart?: (() => void) | undefined;
    preventSwipeRight?: boolean | undefined;
    shouldBounceOnMount?: boolean | undefined;
    slideoutView?: React.ReactNode;
    swipeThreshold?: number | undefined;
}>) => JSX.Element;
//# sourceMappingURL=SwipeableRow.d.ts.map